<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>RecordFactory (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="RecordFactory (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":9,"i2":9,"i3":9,"i4":9,"i5":9,"i6":9,"i7":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/RecordFactory.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hssf/record/RecordBase.html"
               title="class in org.apache.poi.hssf.record"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hssf/record/RecordFactoryInputStream.html"
               title="class in org.apache.poi.hssf.record"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/record/RecordFactory.html" target="_top">Frames</a>
        </li>
        <li><a href="RecordFactory.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hssf.record</div>
    <h2 title="Class RecordFactory" class="title">Class RecordFactory</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.hssf.record.RecordFactory</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre>public final class <span class="typeNameLabel">RecordFactory</span>
extends java.lang.Object</pre>
                <div class="block">Title: Record Factory<p>
                    Description: Takes a stream and outputs an array of Record objects.</div>
                <dl>
                    <dt><span class="seeLabel">See Also:</span></dt>
                    <dd><a href="../../../../../org/apache/poi/hssf/eventmodel/EventRecordFactory.html"
                           title="class in org.apache.poi.hssf.eventmodel"><code>EventRecordFactory</code></a></dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/RecordFactory.html#RecordFactory--">RecordFactory</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/hssf/record/BlankRecord.html"
                                        title="class in org.apache.poi.hssf.record">BlankRecord</a>[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/RecordFactory.html#convertBlankRecords-org.apache.poi.hssf.record.MulBlankRecord-">convertBlankRecords</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/record/MulBlankRecord.html"
                                        title="class in org.apache.poi.hssf.record">MulBlankRecord</a>&nbsp;mbk)</code>
                                    <div class="block">Converts a <a
                                            href="../../../../../org/apache/poi/hssf/record/MulBlankRecord.html"
                                            title="class in org.apache.poi.hssf.record"><code>MulBlankRecord</code></a>
                                        into an equivalent array of <a
                                                href="../../../../../org/apache/poi/hssf/record/BlankRecord.html"
                                                title="class in org.apache.poi.hssf.record"><code>BlankRecords</code></a>
                                    </div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/hssf/record/NumberRecord.html"
                                        title="class in org.apache.poi.hssf.record">NumberRecord</a>[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/RecordFactory.html#convertRKRecords-org.apache.poi.hssf.record.MulRKRecord-">convertRKRecords</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/record/MulRKRecord.html"
                                        title="class in org.apache.poi.hssf.record">MulRKRecord</a>&nbsp;mrk)</code>
                                    <div class="block">Converts a <a
                                            href="../../../../../org/apache/poi/hssf/record/MulRKRecord.html"
                                            title="class in org.apache.poi.hssf.record"><code>MulRKRecord</code></a>
                                        into an equivalent array of <a
                                                href="../../../../../org/apache/poi/hssf/record/NumberRecord.html"
                                                title="class in org.apache.poi.hssf.record"><code>NumberRecords</code></a>
                                    </div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/hssf/record/NumberRecord.html"
                                        title="class in org.apache.poi.hssf.record">NumberRecord</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/RecordFactory.html#convertToNumberRecord-org.apache.poi.hssf.record.RKRecord-">convertToNumberRecord</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/record/RKRecord.html"
                                        title="class in org.apache.poi.hssf.record">RKRecord</a>&nbsp;rk)</code>
                                    <div class="block">RK record is a slightly smaller alternative to NumberRecord
                                        POI likes NumberRecord better
                                    </div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/hssf/record/Record.html"
                                        title="class in org.apache.poi.hssf.record">Record</a>[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/RecordFactory.html#createRecord-org.apache.poi.hssf.record.RecordInputStream-">createRecord</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/record/RecordInputStream.html"
                                        title="class in org.apache.poi.hssf.record">RecordInputStream</a>&nbsp;in)</code>
                                    <div class="block">create a record, if there are MUL records than multiple records
                                        are returned digested into the non-mul form.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>static java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/hssf/record/Record.html"
                                        title="class in org.apache.poi.hssf.record">Record</a>&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/RecordFactory.html#createRecords-java.io.InputStream-">createRecords</a></span>(java.io.InputStream&nbsp;in)</code>
                                    <div class="block">Create an array of records from an input stream</div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/hssf/record/Record.html"
                                        title="class in org.apache.poi.hssf.record">Record</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/RecordFactory.html#createSingleRecord-org.apache.poi.hssf.record.RecordInputStream-">createSingleRecord</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/record/RecordInputStream.html"
                                        title="class in org.apache.poi.hssf.record">RecordInputStream</a>&nbsp;in)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>static short[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/RecordFactory.html#getAllKnownRecordSIDs--">getAllKnownRecordSIDs</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>static java.lang.Class&lt;? extends <a
                                        href="../../../../../org/apache/poi/hssf/record/Record.html"
                                        title="class in org.apache.poi.hssf.record">Record</a>&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/RecordFactory.html#getRecordClass-int-">getRecordClass</a></span>(int&nbsp;sid)</code>
                                    <div class="block">Debug / diagnosis method</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="RecordFactory--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>RecordFactory</h4>
                                <pre>public&nbsp;RecordFactory()</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getRecordClass-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRecordClass</h4>
                                <pre>public static&nbsp;java.lang.Class&lt;? extends <a
                                        href="../../../../../org/apache/poi/hssf/record/Record.html"
                                        title="class in org.apache.poi.hssf.record">Record</a>&gt;&nbsp;getRecordClass(int&nbsp;sid)</pre>
                                <div class="block">Debug / diagnosis method<p>

                                    Gets the POI implementation class for a given <code>sid</code>. Only a subset of the
                                    BIFF
                                    records are actually interpreted by POI. A few others are known but not interpreted
                                    (see <a
                                        href="../../../../../org/apache/poi/hssf/record/UnknownRecord.html#getBiffName-int-"><code>UnknownRecord.getBiffName(int)</code></a>).
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>sid</code> - the record sid</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the POI implementation class for the specified record <code>sid</code>.
                                        <code>null</code> if the specified record is not interpreted by POI.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createRecord-org.apache.poi.hssf.record.RecordInputStream-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createRecord</h4>
                                <pre>public static&nbsp;<a href="../../../../../org/apache/poi/hssf/record/Record.html"
                                                           title="class in org.apache.poi.hssf.record">Record</a>[]&nbsp;createRecord(<a
                                        href="../../../../../org/apache/poi/hssf/record/RecordInputStream.html"
                                        title="class in org.apache.poi.hssf.record">RecordInputStream</a>&nbsp;in)</pre>
                                <div class="block">create a record, if there are MUL records than multiple records
                                    are returned digested into the non-mul form.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>in</code> - the RecordInputStream to read from</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the extracted records</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createSingleRecord-org.apache.poi.hssf.record.RecordInputStream-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createSingleRecord</h4>
                                <pre>public static&nbsp;<a href="../../../../../org/apache/poi/hssf/record/Record.html"
                                                           title="class in org.apache.poi.hssf.record">Record</a>&nbsp;createSingleRecord(<a
                                        href="../../../../../org/apache/poi/hssf/record/RecordInputStream.html"
                                        title="class in org.apache.poi.hssf.record">RecordInputStream</a>&nbsp;in)</pre>
                            </li>
                        </ul>
                        <a name="convertToNumberRecord-org.apache.poi.hssf.record.RKRecord-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>convertToNumberRecord</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/hssf/record/NumberRecord.html"
                                        title="class in org.apache.poi.hssf.record">NumberRecord</a>&nbsp;convertToNumberRecord(<a
                                        href="../../../../../org/apache/poi/hssf/record/RKRecord.html"
                                        title="class in org.apache.poi.hssf.record">RKRecord</a>&nbsp;rk)</pre>
                                <div class="block">RK record is a slightly smaller alternative to NumberRecord
                                    POI likes NumberRecord better
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>rk</code> - the RK record to convert</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the NumberRecord</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="convertRKRecords-org.apache.poi.hssf.record.MulRKRecord-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>convertRKRecords</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/hssf/record/NumberRecord.html"
                                        title="class in org.apache.poi.hssf.record">NumberRecord</a>[]&nbsp;convertRKRecords(<a
                                        href="../../../../../org/apache/poi/hssf/record/MulRKRecord.html"
                                        title="class in org.apache.poi.hssf.record">MulRKRecord</a>&nbsp;mrk)</pre>
                                <div class="block">Converts a <a
                                        href="../../../../../org/apache/poi/hssf/record/MulRKRecord.html"
                                        title="class in org.apache.poi.hssf.record"><code>MulRKRecord</code></a> into an
                                    equivalent array of <a
                                            href="../../../../../org/apache/poi/hssf/record/NumberRecord.html"
                                            title="class in org.apache.poi.hssf.record"><code>NumberRecords</code></a>
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>mrk</code> - the MulRKRecord to convert</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the equivalent array of <a
                                            href="../../../../../org/apache/poi/hssf/record/NumberRecord.html"
                                            title="class in org.apache.poi.hssf.record"><code>NumberRecords</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="convertBlankRecords-org.apache.poi.hssf.record.MulBlankRecord-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>convertBlankRecords</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/hssf/record/BlankRecord.html"
                                        title="class in org.apache.poi.hssf.record">BlankRecord</a>[]&nbsp;convertBlankRecords(<a
                                        href="../../../../../org/apache/poi/hssf/record/MulBlankRecord.html"
                                        title="class in org.apache.poi.hssf.record">MulBlankRecord</a>&nbsp;mbk)</pre>
                                <div class="block">Converts a <a
                                        href="../../../../../org/apache/poi/hssf/record/MulBlankRecord.html"
                                        title="class in org.apache.poi.hssf.record"><code>MulBlankRecord</code></a> into
                                    an equivalent array of <a
                                            href="../../../../../org/apache/poi/hssf/record/BlankRecord.html"
                                            title="class in org.apache.poi.hssf.record"><code>BlankRecords</code></a>
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>mbk</code> - the MulBlankRecord to convert</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the equivalent array of <a
                                            href="../../../../../org/apache/poi/hssf/record/BlankRecord.html"
                                            title="class in org.apache.poi.hssf.record"><code>BlankRecords</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getAllKnownRecordSIDs--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getAllKnownRecordSIDs</h4>
                                <pre>public static&nbsp;short[]&nbsp;getAllKnownRecordSIDs()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>an array of all the SIDS for all known records</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createRecords-java.io.InputStream-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>createRecords</h4>
                                <pre>public static&nbsp;java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/hssf/record/Record.html"
                                        title="class in org.apache.poi.hssf.record">Record</a>&gt;&nbsp;createRecords(java.io.InputStream&nbsp;in)
                                            throws <a
                                            href="../../../../../org/apache/poi/util/RecordFormatException.html"
                                            title="class in org.apache.poi.util">RecordFormatException</a></pre>
                                <div class="block">Create an array of records from an input stream</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>in</code> - the InputStream from which the records will be obtained</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>an array of Records created from the InputStream</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code><a href="../../../../../org/apache/poi/util/RecordFormatException.html"
                                                 title="class in org.apache.poi.util">RecordFormatException</a></code> -
                                        on error processing the InputStream
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/RecordFactory.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hssf/record/RecordBase.html"
               title="class in org.apache.poi.hssf.record"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hssf/record/RecordFactoryInputStream.html"
               title="class in org.apache.poi.hssf.record"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/record/RecordFactory.html" target="_top">Frames</a>
        </li>
        <li><a href="RecordFactory.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
